org.apache.tinkerpop.gremlin.driver.message

## Class ResponseMessage.Builder

- java.lang.Object
- - org.apache.tinkerpop.gremlin.driver.message.ResponseMessage.Builder

- Enclosing class:
    ResponseMessage

      public static final class ResponseMessage.Builder
      extends Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ResponseMessage.Builder` | `code(ResponseStatusCode code)`
    `ResponseMessage` | `create()`
    `ResponseMessage.Builder` | `responseMetaData(Map<String,Object> metaData)`
    `ResponseMessage.Builder` | `result(Object result)`
    `ResponseMessage.Builder` | `statusAttribute(String key, Object value)`
    `ResponseMessage.Builder` | `statusAttributeException(Throwable ex)`
    `ResponseMessage.Builder` | `statusAttributes(Map<String,Object> attributes)`
    `ResponseMessage.Builder` | `statusMessage(String message)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### code

          public ResponseMessage.Builder code(ResponseStatusCode code)

    - #### statusMessage

          public ResponseMessage.Builder statusMessage(String message)

    - #### statusAttributes

          public ResponseMessage.Builder statusAttributes(Map<String,Object> attributes)

    - #### statusAttributeException

          public ResponseMessage.Builder statusAttributeException(Throwable ex)

    - #### statusAttribute

          public ResponseMessage.Builder statusAttribute(String key,
                                                         Object value)

    - #### result

          public ResponseMessage.Builder result(Object result)

    - #### responseMetaData

          public ResponseMessage.Builder responseMetaData(Map<String,Object> metaData)

    - #### create

          public ResponseMessage create()

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.